Subject: Re: bug#76190: 31.0.50; Setting frame parameter 'left (- -N) broken

From: martin rudalics <[email-masked]>
Date: Wed, 12 Feb 2025 11:03:56 +0100

> This and the documented behavior in the maual doesn't appear correct to
 > me, as XParseGeometry returns a negative value if XNegative is set.
 > Hence f->left_pos is meant always to be negative if (flags & XNegative),
 > and after all, "=100x100--100+0" is not a valid geometry string.

Can you propose a fix?  IIUC XParseGeometry doesn't support positioning
the top of a frame at negative coordinates anyway.

martin